// Compile with /n

#include "Stack.ch"
#include "Default.ch"   // DEFAULT..TO command
                        // shown w/DirEval()
#include "Setcurs.ch"

STATIC aStack := NIL

PROCEDURE PushCursor( cNewCursor )
   DEFAULT aStack TO StackNew()
   StackPush( aStack, SetCursor( cNewCursor ) )
   RETURN

PROCEDURE PopCursor()
   SetCursor( StackPop( aStack ) )
   RETURN

PROCEDURE PopUp()
   LOCAL cSelect := Space( 1 )
   PRIVATE GetList
   @ MAXROW(), 00 SAY "Enter Selection:" GET cSelect PICTURE "!"
   PushCursor( SC_NORMAL )
   READ
   PopCursor()
   RETURN

// EOF: Stack.prg
